using System;
using System.Data;
using System.Configuration;
using System.Text;
using TABS.MailCarrier.WebSDK.Contact;

/// <summary>
/// 주소록 부분에서 사용되는 유틸리티 메서드 제공
/// </summary>
public class ContactUtil
{
    // 루트 폴더 ID
    public const string FavoritesID = "3aa0b282-b917-429c-9a6d-4e30f971c9ec";
    public const string ShareID = "99e14c95-2353-4054-a8ce-cfd3630bffde";
    public const string OrgzID = "2d095ea2-4416-4240-be5a-4992c1fd88de";

    [Flags]
    public enum FolderFlag
    {
        None = 0x00000000,
        Root = 0x00000001,
        Sub = 0x00000002
    }

    public enum Type
    {
        Favorite,
        Private,
        Share,
        Organization
    }

    public ContactUtil()
    {
    }

    /// <summary>
    /// 주소록에 따른 이미지 이름을 반환한다.
    /// </summary>
    /// <param name="mailboxName">주소록 플래그</param>
    /// <returns>이미지 파일 이름</returns>
    public static string GetAddrbookImageName(FolderFlag flag)
    {
        if ((flag & FolderFlag.Root) > 0)
        {
            return "addrbook_16.gif";
        }
        else
        {
            return "folder_16.gif";
        }
    }

    public static string GetAddrbookFontIcon(FolderFlag flag)
    {
        if ((flag & FolderFlag.Root) > 0)
        {
            return FontIcon.ContactAddressBook;
        }
        else
        {
            return FontIcon.ContactFolder;
        }
    }

    public static string GetContactImageName(Contact.ContactType contactType)
    {
        if (contactType == Contact.ContactType.Contact)
        {
            return "contact_16.gif";
        }
        else
        {
            return "group_16.gif";
        }
    }
}
